# node.cpp File Reference

Template File. More...

`#include "node.h"`
`#include <map>`
`#include <time.h>`

## Defines

#define | BE_FRUGAL_WITH_GUIDS 1
#define | __sys_clock ::clock

## Typedefs

typedef map< synfig::GUID, Node * > | GlobalNodeMap

## Functions

static GlobalNodeMap & | global_node_map ()
synfig::Node * | synfig::find_node (const synfig::GUID &guid)
static void | refresh_node (synfig::Node *node, synfig::GUID old_guid)

## Variables

static GlobalNodeMap * | global_node_map_

## Detailed Description

Template File.

$Id$

## Define Documentation

#define BE_FRUGAL_WITH_GUIDS 1

#define __sys_clock ::clock

Referenced by synfig::Node::changed().

## Typedef Documentation

typedef map<synfig::GUID,Node*> GlobalNodeMap

## Function Documentation

static GlobalNodeMap& global_node_map | ( |  | ) | `[static]`

References global_node_map_.

Referenced by synfig::find_node(), synfig::Node::get_guid(), synfig::Node::Node(), refresh_node(), synfig::Node::set_guid(), and synfig::Node::~Node().

static void refresh_node | ( | synfig::Node * | node,
|  | synfig::GUID | old_guid |
| ) |  |  | `[static]`

References synfig::Node::get_guid(), and global_node_map().

Referenced by synfig::Node::set_guid().

## Variable Documentation

GlobalNodeMap* global_node_map_ `[static]`

Referenced by global_node_map().